#!/usr/bin/env python3

import getopt
import sys

import PIL.Image

_, (output_filename, w, h, bin_filename) = getopt.gnu_getopt(sys.argv[1:], "")
size = (int(w), int(h))

with open(bin_filename, "rb") as f:
    PIL.Image.frombytes("L", size, f.read()).save(output_filename)
